| libbladeRF 2.6.0-git-fcf94233-dirty Nuand bladeRF library

Loading...
Searching...
No Matches
Data Structures | Functions
RF Switching Control
bladeRF2-specific API » Low-level accessors

## Description

## Data Structures
struct | bladerf_rf_switch_config

## Functions
API_EXPORT int CALL_CONV | bladerf_get_rf_switch_config (struct bladerf *dev, bladerf_rf_switch_config *config)

## Function Documentation

## ◆ bladerf_get_rf_switch_config()

API_EXPORT int CALL_CONV bladerf_get_rf_switch_config | ( | struct bladerf * | dev,
|  | bladerf_rf_switch_config * | config )

Read the current RF switching configuration from the bladeRF hardware.

Queries both the RFIC and the RF switch and passes back a bladerf_rf_switch_config stucture.

Parameters

  | dev | Device handle
  [out] | config | Switch configuration struct

Returns
  0 on success, value from Error codes list on failure